name: LWC
main: com.griefcraft.lwc.LWCPlugin
version: 2.3.0
api-version: '1.18'
author: Hidendra
authors: [pop4959, Me_Goes_RAWR]
website: https://www.spigotmc.org/resources/lwc-extended.69551/
description: >
             Inventory protection & management utilizing SQLite or MySQL as its backend
             Other blocks can also be protected individually, if configured.
load: startup
softdepend: [Vault, WorldEdit, WorldGuard, Towny, Factions]

commands:
  lwc:
    description: LWC's hub command to access everything
    usage: /<command>
  lock:
    description: Lock a block using LWC that only you can access
    usage: /<command>
  unlock:
    description: Remove a protection that was protected by LWC
    usage: /<command>
  cadmin:
    description: Administrate LWC
    usage: /<command>
    permission: lwc.admin
  cpublic:
    description: Create a protection that is accessible by anyone but protectable by no one.
    usage: /<command>
  cpassword:
    description: Create a protection that required a password to access it.
    usage: /<command> <password>
  cprivate:
    description: Create a protection that only you and specific groups or people can access.
    usage: /<command> <Users/Groups>
  cdonation:
    description: Creates a chest that can be deposited into, but only removed by player with access.
    usage: /<command>
  cdisplay:
    description: Creates a chest that can be looked into, but only removed by player with access.
    usage: /<command>
  csupply:
    description: Creates a chest that can be taken from, but only removed by player with access.
    usage: /<command>
  cmodify:
    description: Modify an existing private protection.
    usage: /<command> <Modifications>
  cunlock:
    description: Unlock a password-protected protection.
    usage: /<command> <password>
  cinfo:
    description: View info on an existing protection.
    usage: /<command>
  cremove:
    description: Remove an existing protection.
    usage: /<command>
  cremoveall:
    description: Removes all protections owned by the player
    usage: /<command>
  climits:
    description: View your current protection limits.
    usage: /<command>
  credstone:
    description: Enable or disable redstone on a protection
    usage: /<command> <on|off>
  chopper:
    description: Enable or disable hoppers on a protection
    usage: /<command> <on|off>
  cmagnet:
    description: Enable or disable the magnet flag on an inventory protection, which makes it pick up items automatically around it.
    usage: /<command> <on|off>
  cdroptransfer:
    description: Configure drop transferring (allows you to transfer to a selected chest by dropping items.)
    usage: /<command> <select|on|off>
  cpersist:
    description: Toggle command persistence which allows you to use commands without retyping the command (e.g /cprivate)
    usage: /<command>
  cnolock:
    description: Toggle the ability to create protections
    usage: /<command>
  cnospam:
    description: Toggle the ability to hide protection creation messages
    usage: /<command>
  cexempt:
    description: Toggle protection exemption on an existing protection; disallows it from being removed by -remove, e.g /lwc admin expire -remove 2 weeks
    usage: /<command>
    permission: lwc.admin
  cautoclose:
    description: Flag a door to automatically close after 3 seconds (configurable.)
    usage: /<command>
  callowexplosions:
    description: Flag to allow a given protection to explode from explosions.
  ctnt:
    description: Flag to allow a given protection to explode from explosions.
  cdefault:
    description: Sets the default protection to run on newly placed private chests.
    usage: /<command> <Modifications>

permissions:

  lwc.*:
      description: Full administrative access to LWC
      default: false
      children:
          lwc.protect: true
          lwc.admin: true

  lwc.protect:
      description: Gives the ability to basic LWC usage (almost everything except LWC admin.)
      default: true

  lwc.admin:
      description: Gives you absolutely power over LWC. As an LWC admin, you have no restrictions.
      default: false
      children:
          lwc.allcommands: true

  lwc.allcommands:
      description: Gives you access to every LWC command. Without lwc.admin or lwc.mod, you cannot open protections you do not own.
      default: false

  lwc.shownotices:
      description: Shows LWC notices
      default: op

  lwc.mod:
      description: Allows you to open anyone's protection but not remove them
      default: false

  lwc.deny:
      description: Denys you access to any block LWC can protect. For example, with this permission set, you cannot open even unprotected chests (if protectable.)

  lwc.create.*:
      description: Allows you to create every basic protection (public, private, password.)
      children:
          lwc.create.public: true
          lwc.create.password: true
          lwc.create.private: true
          lwc.create.donation: true
          lwc.create.display: true
          lwc.create.supply: true
  lwc.create.public:
      description: Allows you to create a public protection.
  lwc.create.password:
      description: Allows you to create a password protection.
  lwc.create.private:
      description: Allows you to create a private protection.
  lwc.create.donation:
    description: Allows you to create a donation protection.
  lwc.create.display:
    description: Allows you to create a display protection.
  lwc.create.supply:
    description: Allows you to create a supply protection.

  lwc.modify:
      description: Allows you to modify protections you own, and use the default command.
  lwc.unlock:
      description: Allows you to unlock password-protected protections.
  lwc.info:
      description: Allows you to view the owner and other misc data on a protection.
  lwc.remove:
      description: Allows you to remove protections you own.
  lwc.removeall:
    description: Allows you to remove all protections you own.
    default: true

  lwc.flag.*:
      description: Gives you access to every usable flag.
      children:
           lwc.allflags: true
  lwc.allflags:
      description: Gives you access to every usable flag.
      children:
           lwc.flag.redstone: true
           lwc.flag.magnet: true
           lwc.flag.autoclose: true
           lwc.flag.allowexplosions: true
  lwc.flag.redstone:
      description: Allows you to use the redstone flag, which enables or disables the use of redstone on a protection depending on plugin settings.
  lwc.flag.magnet:
      description: Allows you to use the magnet flag, which makes a protection such as a chest suck up dropped items in a specific radius around it.
  lwc.flag.autoclose:
      description: Allows a door to automatically close itself after 3 seconds (configurable.)

  lwc.mode.*:
      description: Gives you access to every usable mode, provided they are already disabled.
  lwc.allmodes:
      description: Gives you access to every mode, provided they are already disabled.
      children:
          lwc.mode.persist: true
          lwc.mode.droptransfer: true
          lwc.mode.nospam: true
          lwc.mode.nolock: true
  lwc.mode.persist:
      description: Allows you to use the persist flag, which allows you to use commands repeatably.
  lwc.mode.droptransfer:
      description: Allows you to use the drop transfer flag, which allows you to "drop" items into your chest from far away.

  lwc.autoprotect:
      default: false
      description: Allows you to auto protect LWC protections regardless of how LWC is configured
